Page MenuHomePhabricator

Diffusion spamming the feed/commits going weird
Closed, ResolvedPublic

Description

We're having a situation on our Phabricator instance where Diffusion is doing weird stuff with repositories that we have imported from Github.

See, e.g.,:
https://phab.met.no/rNCLOADf91b56d499749e5bec65ca41c70572242816ebaf

I noticed this because our feed on the homepage is getting spammed by these commit messages every five minutes or so. What do we do to fix this (other than take affected the repositories down)? Haven't touched the installation yet, in case I destroy some information that would be useful for debugging, but can't let this continue for much longer.

This is happening with at least two of our repositories. Interestingly, the two people whose commits this appears to be happening with are both former employees, so not users registered in Phabricator.


Problems remaining: See T1191

typical trace:

Daemon 304 STDE [Mon, 20 Oct 2014 17:10:48 -0700] [2014-10-20 17:10:48] EXCEPTION: (PhutilProxyException) Error while executing task ID 9711 from queue. {>} (AphrontCharacterSetQueryException) Attempting to construct a query containing characters outside of the Unicode Basic Multilingual Plane. MySQL will silently truncate this data if it is inserted into a utf8 column. Use the %B conversion to escape binary strings data. at [<phutil>/src/aphront/storage/connection/mysql/AphrontBaseMySQLDatabaseConnection.php:346]
Daemon 304 STDE [Mon, 20 Oct 2014 17:10:48 -0700] #0 AphrontBaseMySQLDatabaseConnection::validateUTF8String(string) called at [<phutil>/src/aphront/storage/connection/mysql/AphrontMySQLiDatabaseConnection.php:10]
Daemon 304 STDE [Mon, 20 Oct 2014 17:10:48 -0700] #1 AphrontMySQLiDatabaseConnection::escapeUTF8String(string) called at [<phutil>/src/xsprintf/qsprintf.php:170]
Daemon 304 STDE [Mon, 20 Oct 2014 17:10:48 -0700] #2 xsprintf_query(AphrontMySQLiDatabaseConnection, string, integer, string, integer) called at [<phutil>/src/xsprintf/xsprintf.php:63]
Daemon 304 STDE [Mon, 20 Oct 2014 17:10:48 -0700] #3 xsprintf(string, AphrontMySQLiDatabaseConnection, array) called at [<phutil>/src/xsprintf/qsprintf.php:64]
Daemon 304 STDE [Mon, 20 Oct 2014 17:10:48 -0700] #4 qsprintf(AphrontMySQLiDatabaseConnection, string, string, string) called at [<phabricator>/src/infrastructure/storage/lisk/LiskDAO.php:1101]
Daemon 304 STDE [Mon, 20 Oct 2014 17:10:48 -0700] #5 LiskDAO::update() called at [<phabricator>/src/infrastructure/storage/lisk/LiskDAO.php:1041]
Daemon 304 STDE [Mon, 20 Oct 2014 17:10:48 -0700] #6 LiskDAO::save() called at [<phabricator>/src/applications/repository/storage/PhabricatorRepositoryCommit.php:165]
Daemon 304 STDE [Mon, 20 Oct 2014 17:10:48 -0700] #7 PhabricatorRepositoryCommit::save() called at [<phabricator>/src/applications/repository/worker/commitmessageparser/PhabricatorRepositoryCommitMessageParserWorker.php:78]
Daemon 304 STDE [Mon, 20 Oct 2014 17:10:48 -0700] #8 PhabricatorRepositoryCommitMessageParserWorker::updateCommitData(DiffusionCommitRef) called at [<phabricator>/src/applications/repository/worker/commitmessageparser/PhabricatorRepositoryGitCommitMessageParserWorker.php:15]
Daemon 304 STDE [Mon, 20 Oct 2014 17:10:48 -0700] #9 PhabricatorRepositoryGitCommitMessageParserWorker::parseCommit(PhabricatorRepository, PhabricatorRepositoryCommit) called at [<phabricator>/src/applications/repository/worker/PhabricatorRepositoryCommitParserWorker.php:44]
Daemon 304 STDE [Mon, 20 Oct 2014 17:10:48 -0700] #10 PhabricatorRepositoryCommitParserWorker::doWork() called at [<phabricator>/src/infrastructure/daemon/workers/PhabricatorWorker.php:87]
Daemon 304 STDE [Mon, 20 Oct 2014 17:10:48 -0700] #11 PhabricatorWorker::executeTask() called at [<phabricator>/src/infrastructure/daemon/workers/storage/PhabricatorWorkerActiveTask.php:156]
Daemon 304 STDE [Mon, 20 Oct 2014 17:10:48 -0700] #12 PhabricatorWorkerActiveTask::executeTask() called at [<phabricator>/src/infrastructure/daemon/workers/PhabricatorTaskmasterDaemon.php:19]
Daemon 304 STDE [Mon, 20 Oct 2014 17:10:48 -0700] #13 PhabricatorTaskmasterDaemon::run() called at [<phutil>/src/daemon/PhutilDaemon.php:91]
Daemon 304 STDE [Mon, 20 Oct 2014 17:10:48 -0700] #14 PhutilDaemon::execute() called at [<phutil>/scripts/daemon/exec/exec_daemon.php:111]

Related Objects

StatusAssignedTask
Resolvedbtrahan
ResolvedNone
Resolvedepriestley
Resolvedepriestley
Resolvedepriestley
Resolvedepriestley
Resolvedepriestley
Resolvedepriestley
Resolvedepriestley
Resolvedepriestley
Resolvedepriestley
Resolvedepriestley
Resolvedepriestley
Resolvedepriestley
Resolvedepriestley
Resolvedepriestley
Resolvedepriestley
Resolvedepriestley
Resolvedepriestley
Resolvedepriestley
Resolvedepriestley
Resolvedepriestley
Resolvedepriestley
Resolvedepriestley
Resolvedepriestley

Event Timeline

michaeloa raised the priority of this task from to Needs Triage.
michaeloa updated the task description. (Show Details)
michaeloa added projects: Diffusion, Feed.
michaeloa added a subscriber: michaeloa.
michaeloa added a comment.EditedOct 20 2014, 12:10 PM

Re: the last point. I'm also seeing this for existing employees at the institute, who have submitted commits using e-mails different from the ones that they are registered with on the site. I haven't noticed this for anyone else - the problem seems to be limited to commiters who are not registered on the site.

chad assigned this task to btrahan.Oct 20 2014, 2:08 PM
chad added a subscriber: chad.

I see this on my local install tracking a remote as well.

the phab.met.no link doesn't resolve for me - should it?

Can someone elucidate the problem a bit more? I've gleaned "weird stuff happens with repositories tracking a remote" so far.

Ah okay, I got the link to load. Its going to take me a few hours to figure this out so I'd stop importing those repositories for now if its driving you batty.

@chad - what remote are you tracking that reproduces this?

(I'm still working on reproducing this... I picked up the OS upgrade over the weekend and am doing things like re-installing php. =/ )

...still working on reproducing this... if anyone has a public repo I can clone that reproduces that issue this would be helpful.

chad added a comment.Oct 20 2014, 10:17 PM

I get this tracking Phabricator on my home install.

okay, I kind of get how come it happens at least. that's nice.

Alrighty folks impacted by this - could you please update your Phabricator install, including re-starting daemons, and let us know if the issue is resolved or you're still having problems?

Will check it ASAP in the morning.

Cool, and if its still occurring it will be top of my queue again. :)

btrahan triaged this task as High priority.Oct 20 2014, 11:55 PM
chad added a comment.Oct 21 2014, 12:05 AM

Still occurring. :(

./bin/phd log

por favor

chad added a comment.Oct 21 2014, 12:08 AM
[2014-10-20 17:07:03] EXCEPTION: (AphrontCharacterSetQueryException) Attempting to construct a query containing characters outside of the Unicode Basic Multilingual Plane. MySQL will silently truncate this data if it is inserted into a `utf8` column. Use the `%B` conversion to escape binary strings data. at [<phutil>/src/aphront/storage/connection/mysql/AphrontBaseMySQLDatabaseConnection.php:346]
  #0 AphrontBaseMySQLDatabaseConnection::validateUTF8String(string) called at [<phutil>/src/aphront/storage/connection/mysql/AphrontMySQLiDatabaseConnection.php:10]
  #1 AphrontMySQLiDatabaseConnection::escapeUTF8String(string) called at [<phutil>/src/xsprintf/qsprintf.php:170]
  #2 xsprintf_query(AphrontMySQLiDatabaseConnection, string, integer, string, integer) called at [<phutil>/src/xsprintf/xsprintf.php:63]
  #3 xsprintf(string, AphrontMySQLiDatabaseConnection, array) called at [<phutil>/src/xsprintf/qsprintf.php:64]
  #4 qsprintf(AphrontMySQLiDatabaseConnection, string, string, string) called at [<phabricator>/src/infrastructure/storage/lisk/LiskDAO.php:1101]
  #5 LiskDAO::update() called at [<phabricator>/src/infrastructure/storage/lisk/LiskDAO.php:1041]
  #6 LiskDAO::save() called at [<phabricator>/src/applications/daemon/query/PhabricatorDaemonLogQuery.php:104]
  #7 PhabricatorDaemonLogQuery::willFilterPage(array) called at [<phabricator>/src/infrastructure/query/policy/PhabricatorPolicyAwareQuery.php:236]
  #8 PhabricatorPolicyAwareQuery::execute() called at [<phabricator>/src/applications/daemon/management/PhabricatorDaemonManagementLogWorkflow.php:42]
  #9 PhabricatorDaemonManagementLogWorkflow::execute(PhutilArgumentParser) called at [<phutil>/src/parser/argument/PhutilArgumentParser.php:394]
  #10 PhutilArgumentParser::parseWorkflowsFull(array) called at [<phutil>/src/parser/argument/PhutilArgumentParser.php:290]
  #11 PhutilArgumentParser::parseWorkflows(array) called at [<phabricator>/scripts/daemon/manage_daemons.php:23]
btrahan added a subscriber: epriestley.EditedOct 21 2014, 12:23 AM

so that error and this one:

Daemon 304 STDE [Mon, 20 Oct 2014 17:10:48 -0700] [2014-10-20 17:10:48] EXCEPTION: (PhutilProxyException) Error while executing task ID 9711 from queue. {>} (AphrontCharacterSetQueryException) Attempting to construct a query containing characters outside of the Unicode Basic Multilingual Plane. MySQL will silently truncate this data if it is inserted into a `utf8` column. Use the `%B` conversion to escape binary strings data. at [<phutil>/src/aphront/storage/connection/mysql/AphrontBaseMySQLDatabaseConnection.php:346]
Daemon 304 STDE [Mon, 20 Oct 2014 17:10:48 -0700]   #0 AphrontBaseMySQLDatabaseConnection::validateUTF8String(string) called at [<phutil>/src/aphront/storage/connection/mysql/AphrontMySQLiDatabaseConnection.php:10]
Daemon 304 STDE [Mon, 20 Oct 2014 17:10:48 -0700]   #1 AphrontMySQLiDatabaseConnection::escapeUTF8String(string) called at [<phutil>/src/xsprintf/qsprintf.php:170]
Daemon 304 STDE [Mon, 20 Oct 2014 17:10:48 -0700]   #2 xsprintf_query(AphrontMySQLiDatabaseConnection, string, integer, string, integer) called at [<phutil>/src/xsprintf/xsprintf.php:63]
Daemon 304 STDE [Mon, 20 Oct 2014 17:10:48 -0700]   #3 xsprintf(string, AphrontMySQLiDatabaseConnection, array) called at [<phutil>/src/xsprintf/qsprintf.php:64]
Daemon 304 STDE [Mon, 20 Oct 2014 17:10:48 -0700]   #4 qsprintf(AphrontMySQLiDatabaseConnection, string, string, string) called at [<phabricator>/src/infrastructure/storage/lisk/LiskDAO.php:1101]
Daemon 304 STDE [Mon, 20 Oct 2014 17:10:48 -0700]   #5 LiskDAO::update() called at [<phabricator>/src/infrastructure/storage/lisk/LiskDAO.php:1041]
Daemon 304 STDE [Mon, 20 Oct 2014 17:10:48 -0700]   #6 LiskDAO::save() called at [<phabricator>/src/applications/repository/storage/PhabricatorRepositoryCommit.php:165]
Daemon 304 STDE [Mon, 20 Oct 2014 17:10:48 -0700]   #7 PhabricatorRepositoryCommit::save() called at [<phabricator>/src/applications/repository/worker/commitmessageparser/PhabricatorRepositoryCommitMessageParserWorker.php:78]
Daemon 304 STDE [Mon, 20 Oct 2014 17:10:48 -0700]   #8 PhabricatorRepositoryCommitMessageParserWorker::updateCommitData(DiffusionCommitRef) called at [<phabricator>/src/applications/repository/worker/commitmessageparser/PhabricatorRepositoryGitCommitMessageParserWorker.php:15]
Daemon 304 STDE [Mon, 20 Oct 2014 17:10:48 -0700]   #9 PhabricatorRepositoryGitCommitMessageParserWorker::parseCommit(PhabricatorRepository, PhabricatorRepositoryCommit) called at [<phabricator>/src/applications/repository/worker/PhabricatorRepositoryCommitParserWorker.php:44]
Daemon 304 STDE [Mon, 20 Oct 2014 17:10:48 -0700]   #10 PhabricatorRepositoryCommitParserWorker::doWork() called at [<phabricator>/src/infrastructure/daemon/workers/PhabricatorWorker.php:87]
Daemon 304 STDE [Mon, 20 Oct 2014 17:10:48 -0700]   #11 PhabricatorWorker::executeTask() called at [<phabricator>/src/infrastructure/daemon/workers/storage/PhabricatorWorkerActiveTask.php:156]
Daemon 304 STDE [Mon, 20 Oct 2014 17:10:48 -0700]   #12 PhabricatorWorkerActiveTask::executeTask() called at [<phabricator>/src/infrastructure/daemon/workers/PhabricatorTaskmasterDaemon.php:19]
Daemon 304 STDE [Mon, 20 Oct 2014 17:10:48 -0700]   #13 PhabricatorTaskmasterDaemon::run() called at [<phutil>/src/daemon/PhutilDaemon.php:91]
Daemon 304 STDE [Mon, 20 Oct 2014 17:10:48 -0700]   #14 PhutilDaemon::execute() called at [<phutil>/scripts/daemon/exec/exec_daemon.php:111]

are character set encoding issues. @epriestley - is the fix for us to finish T1191?

I also have a diff for yet another error I'll serve up. Its similar to D10729 which fixed a case where $subscribed_phids was an empty array(). The new problem is that an empty array would also make insertNotifications barf, as it builds a sql fragment that never gets built. Anyhoo, diff in a sec.

(rPfda0b086b565aab6f8486ac5a57585320d63f16d is the commit in question that is barfing with the character encoding problem for me.)

Alrighty folks - if you are still impacted by this, could you please update, restart daemons, and then run

./bin/phd log

I am interested in any / all exceptions we haven't fixed yet. :)

The last two @chad and I cut and paste here will be fixed by T1191. We plan on finishing T1191 relatively soon (days / a week or two at the absolute most).

michaeloa added a comment.EditedOct 21 2014, 8:32 AM

Will do.

The commit spam on the feed seems to have stopped as of 12:58 AM CET, which is presumably when we got the update (our Phabricator install is currently auto-updated every 30 mins by Chef). Our sysop restarted the daemons manually this morning, just to be sure.

Our logs:

Daemon 1746 STDE [Tue, 21 Oct 2014 07:47:27 +0000]   #13 PhabricatorTaskmasterDaemon::run() called at [<phutil>/src/daemon/PhutilDaemon.php:91]
Daemon 1746 STDE [Tue, 21 Oct 2014 07:47:27 +0000]   #14 PhutilDaemon::execute() called at [<phutil>/scripts/daemon/exec/exec_daemon.php:111]
Daemon 1746 FAIL [Tue, 21 Oct 2014 07:47:27 +0000] (255) Process exited with error 255.
Daemon 1746 WAIT [Tue, 21 Oct 2014 07:47:27 +0000] Waiting to restart process.
Daemon 1746 INIT [Tue, 21 Oct 2014 07:47:32 +0000] Starting process.
Daemon 1745 STDE [Tue, 21 Oct 2014 07:52:31 +0000] [2014-10-21 07:52:31] EXCEPTION: (PhutilProxyException) Error while executing task ID 14660 from queue. {>} (AphrontQueryException) #1406: Data too long for column 'authorName' at row 1 at [<phutil>/src/aphront/storage/connection/mysql/AphrontBaseMySQLDatabaseConnection.php:308]
Daemon 1745 STDE [Tue, 21 Oct 2014 07:52:31 +0000]   #0 AphrontBaseMySQLDatabaseConnection::throwQueryCodeException(integer, string) called at [<phutil>/src/aphront/storage/connection/mysql/AphrontBaseMySQLDatabaseConnection.php:275]
Daemon 1745 STDE [Tue, 21 Oct 2014 07:52:31 +0000]   #1 AphrontBaseMySQLDatabaseConnection::throwQueryException(mysqli) called at [<phutil>/src/aphront/storage/connection/mysql/AphrontBaseMySQLDatabaseConnection.php:181]
Daemon 1745 STDE [Tue, 21 Oct 2014 07:52:31 +0000]   #2 AphrontBaseMySQLDatabaseConnection::executeRawQuery(string) called at [<phutil>/src/xsprintf/queryfx.php:6]
Daemon 1745 STDE [Tue, 21 Oct 2014 07:52:31 +0000]   #3 queryfAphrontMySQLiDatabaseConnection, string, string, string, string, string)
Daemon 1745 STDE [Tue, 21 Oct 2014 07:52:31 +0000]   #4 call_user_func_array(string, array) called at [<phutil>/src/aphront/storage/connection/AphrontDatabaseConnection.php:26]
Daemon 1745 STDE [Tue, 21 Oct 2014 07:52:31 +0000]   #5 AphrontDatabaseConnection::query(string, string, string, string, string) called at [<phabricator>/src/infrastructure/storage/lisk/LiskDAO.php:1112]
Daemon 1745 STDE [Tue, 21 Oct 2014 07:52:31 +0000]   #6 LiskDAO::update() called at [<phabricator>/src/infrastructure/storage/lisk/LiskDAO.php:1041]
Daemon 1745 STDE [Tue, 21 Oct 2014 07:52:31 +0000]   #7 LiskDAO::save() called at [<phabricator>/src/applications/repository/worker/commitmessageparser/PhabricatorRepositoryCommitMessageParserWorker.php:229]
Daemon 1745 STDE [Tue, 21 Oct 2014 07:52:31 +0000]   #8 PhabricatorRepositoryCommitMessageParserWorker::updateCommitData(DiffusionCommitRef) called at [<phabricator>/src/applications/repository/worker/commitmessageparser/PhabricatorRepositoryGitCommitMessageParserWorker.php:15]
Daemon 1745 STDE [Tue, 21 Oct 2014 07:52:31 +0000]   #9 PhabricatorRepositoryGitCommitMessageParserWorker:arseCommit(PhabricatorRepository, PhabricatorRepositoryCommit) called at [<phabricator>/src/applications/repository/worker/PhabricatorRepositoryCommitParserWorker.php:44]
Daemon 1745 STDE [Tue, 21 Oct 2014 07:52:31 +0000]   #10 PhabricatorRepositoryCommitParserWorker:oWork() called at [<phabricator>/src/infrastructure/daemon/workers/PhabricatorWorker.php:87]
Daemon 1745 STDE [Tue, 21 Oct 2014 07:52:31 +0000]   #11 PhabricatorWorker::executeTask() called at [<phabricator>/src/infrastructure/daemon/workers/storage/PhabricatorWorkerActiveTask.php:156]
Daemon 1745 STDE [Tue, 21 Oct 2014 07:52:31 +0000]   #12 PhabricatorWorkerActiveTask::executeTask() called at [<phabricator>/src/infrastructure/daemon/workers/PhabricatorTaskmasterDaemon.php:19]
Daemon 1745 STDE [Tue, 21 Oct 2014 07:52:31 +0000]   #13 PhabricatorTaskmasterDaemon::run() called at [<phutil>/src/daemon/PhutilDaemon.php:91]
Daemon 1745 STDE [Tue, 21 Oct 2014 07:52:31 +0000]   #14 PhutilDaemon::execute() called at [<phutil>/scripts/daemon/exec/exec_daemon.php:111]
Daemon 1745 FAIL [Tue, 21 Oct 2014 07:52:31 +0000] (255) Process exited with error 255.
Daemon 1745 WAIT [Tue, 21 Oct 2014 07:52:31 +0000] Waiting to restart process.
Daemon 1745 INIT [Tue, 21 Oct 2014 07:52:36 +0000] Starting process.
Daemon 1745 STDE [Tue, 21 Oct 2014 07:57:37 +0000] [2014-10-21 07:57:37] EXCEPTION: (PhutilProxyException) Error while executing task ID 14660 from queue. {>} (AphrontQueryException) #1406: Data too long for column 'authorName' at row 1 at [<phutil>/src/aphront/storage/connection/mysql/AphrontBaseMySQLDatabaseConnection.php:308]
Daemon 1745 STDE [Tue, 21 Oct 2014 07:57:37 +0000]   #0 AphrontBaseMySQLDatabaseConnection::throwQueryCodeException(integer, string) called at [<phutil>/src/aphront/storage/connection/mysql/AphrontBaseMySQLDatabaseConnection.php:275]
Daemon 1745 STDE [Tue, 21 Oct 2014 07:57:37 +0000]   #1 AphrontBaseMySQLDatabaseConnection::throwQueryException(mysqli) called at [<phutil>/src/aphront/storage/connection/mysql/AphrontBaseMySQLDatabaseConnection.php:181]
Daemon 1745 STDE [Tue, 21 Oct 2014 07:57:37 +0000]   #2 AphrontBaseMySQLDatabaseConnection::executeRawQuery(string) called at [<phutil>/src/xsprintf/queryfx.php:6]
Daemon 1745 STDE [Tue, 21 Oct 2014 07:57:37 +0000]   #3 queryfAphrontMySQLiDatabaseConnection, string, string, string, string, string)
Daemon 1745 STDE [Tue, 21 Oct 2014 07:57:37 +0000]   #4 call_user_func_array(string, array) called at [<phutil>/src/aphront/storage/connection/AphrontDatabaseConnection.php:26]
Daemon 1745 STDE [Tue, 21 Oct 2014 07:57:37 +0000]   #5 AphrontDatabaseConnection::query(string, string, string, string, string) called at [<phabricator>/src/infrastructure/storage/lisk/LiskDAO.php:1112]
Daemon 1745 STDE [Tue, 21 Oct 2014 07:57:37 +0000]   #6 LiskDAO::update() called at [<phabricator>/src/infrastructure/storage/lisk/LiskDAO.php:1041]
Daemon 1745 STDE [Tue, 21 Oct 2014 07:57:37 +0000]   #7 LiskDAO::save() called at [<phabricator>/src/applications/repository/worker/commitmessageparser/PhabricatorRepositoryCommitMessageParserWorker.php:229]
Daemon 1745 STDE [Tue, 21 Oct 2014 07:57:37 +0000]   #8 PhabricatorRepositoryCommitMessageParserWorker::updateCommitData(DiffusionCommitRef) called at [<phabricator>/src/applications/repository/worker/commitmessageparser/PhabricatorRepositoryGitCommitMessageParserWorker.php:15]
Daemon 1745 STDE [Tue, 21 Oct 2014 07:57:37 +0000]   #9 PhabricatorRepositoryGitCommitMessageParserWorker:arseCommit(PhabricatorRepository, PhabricatorRepositoryCommit) called at [<phabricator>/src/applications/repository/worker/PhabricatorRepositoryCommitParserWorker.php:44]
Daemon 1745 STDE [Tue, 21 Oct 2014 07:57:37 +0000]   #10 PhabricatorRepositoryCommitParserWorker:oWork() called at [<phabricator>/src/infrastructure/daemon/workers/PhabricatorWorker.php:87]
Daemon 1745 STDE [Tue, 21 Oct 2014 07:57:37 +0000]   #11 PhabricatorWorker::executeTask() called at [<phabricator>/src/infrastructure/daemon/workers/storage/PhabricatorWorkerActiveTask.php:156]
Daemon 1745 STDE [Tue, 21 Oct 2014 07:57:37 +0000]   #12 PhabricatorWorkerActiveTask::executeTask() called at [<phabricator>/src/infrastructure/daemon/workers/PhabricatorTaskmasterDaemon.php:19]
Daemon 1745 STDE [Tue, 21 Oct 2014 07:57:37 +0000]   #13 PhabricatorTaskmasterDaemon::run() called at [<phutil>/src/daemon/PhutilDaemon.php:91]
Daemon 1745 STDE [Tue, 21 Oct 2014 07:57:37 +0000]   #14 PhutilDaemon::execute() called at [<phutil>/scripts/daemon/exec/exec_daemon.php:111]
Daemon 1745 FAIL [Tue, 21 Oct 2014 07:57:37 +0000] (255) Process exited with error 255.
Daemon 1745 WAIT [Tue, 21 Oct 2014 07:57:37 +0000] Waiting to restart process.
Daemon 1745 INIT [Tue, 21 Oct 2014 07:57:42 +0000] Starting process.
Daemon 1745 STDE [Tue, 21 Oct 2014 08:02:42 +0000] [2014-10-21 08:02:42] EXCEPTION: (PhutilProxyException) Error while executing task ID 14660 from queue. {>} (AphrontQueryException) #1406: Data too long for column 'authorName' at row 1 at [<phutil>/src/aphront/storage/connection/mysql/AphrontBaseMySQLDatabaseConnection.php:308]
Daemon 1745 STDE [Tue, 21 Oct 2014 08:02:42 +0000]   #0 AphrontBaseMySQLDatabaseConnection::throwQueryCodeException(integer, string) called at [<phutil>/src/aphront/storage/connection/mysql/AphrontBaseMySQLDatabaseConnection.php:275]
Daemon 1745 STDE [Tue, 21 Oct 2014 08:02:42 +0000]   #1 AphrontBaseMySQLDatabaseConnection::throwQueryException(mysqli) called at [<phutil>/src/aphront/storage/connection/mysql/AphrontBaseMySQLDatabaseConnection.php:181]
Daemon 1745 STDE [Tue, 21 Oct 2014 08:02:42 +0000]   #2 AphrontBaseMySQLDatabaseConnection::executeRawQuery(string) called at [<phutil>/src/xsprintf/queryfx.php:6]
Daemon 1745 STDE [Tue, 21 Oct 2014 08:02:42 +0000]   #3 queryfAphrontMySQLiDatabaseConnection, string, string, string, string, string)
Daemon 1745 STDE [Tue, 21 Oct 2014 08:02:42 +0000]   #4 call_user_func_array(string, array) called at [<phutil>/src/aphront/storage/connection/AphrontDatabaseConnection.php:26]
Daemon 1745 STDE [Tue, 21 Oct 2014 08:02:42 +0000]   #5 AphrontDatabaseConnection::query(string, string, string, string, string) called at [<phabricator>/src/infrastructure/storage/lisk/LiskDAO.php:1112]
Daemon 1745 STDE [Tue, 21 Oct 2014 08:02:42 +0000]   #6 LiskDAO::update() called at [<phabricator>/src/infrastructure/storage/lisk/LiskDAO.php:1041]
Daemon 1745 STDE [Tue, 21 Oct 2014 08:02:42 +0000]   #7 LiskDAO::save() called at [<phabricator>/src/applications/repository/worker/commitmessageparser/PhabricatorRepositoryCommitMessageParserWorker.php:229]
Daemon 1745 STDE [Tue, 21 Oct 2014 08:02:42 +0000]   #8 PhabricatorRepositoryCommitMessageParserWorker::updateCommitData(DiffusionCommitRef) called at [<phabricator>/src/applications/repository/worker/commitmessageparser/PhabricatorRepositoryGitCommitMessageParserWorker.php:15]
Daemon 1745 STDE [Tue, 21 Oct 2014 08:02:42 +0000]   #9 PhabricatorRepositoryGitCommitMessageParserWorker:arseCommit(PhabricatorRepository, PhabricatorRepositoryCommit) called at [<phabricator>/src/applications/repository/worker/PhabricatorRepositoryCommitParserWorker.php:44]
Daemon 1745 STDE [Tue, 21 Oct 2014 08:02:42 +0000]   #10 PhabricatorRepositoryCommitParserWorker:oWork() called at [<phabricator>/src/infrastructure/daemon/workers/PhabricatorWorker.php:87]
Daemon 1745 STDE [Tue, 21 Oct 2014 08:02:42 +0000]   #11 PhabricatorWorker::executeTask() called at [<phabricator>/src/infrastructure/daemon/workers/storage/PhabricatorWorkerActiveTask.php:156]
Daemon 1745 STDE [Tue, 21 Oct 2014 08:02:42 +0000]   #12 PhabricatorWorkerActiveTask::executeTask() called at [<phabricator>/src/infrastructure/daemon/workers/PhabricatorTaskmasterDaemon.php:19]
Daemon 1745 STDE [Tue, 21 Oct 2014 08:02:42 +0000]   #13 PhabricatorTaskmasterDaemon::run() called at [<phutil>/src/daemon/PhutilDaemon.php:91]
Daemon 1745 STDE [Tue, 21 Oct 2014 08:02:42 +0000]   #14 PhutilDaemon::execute() called at [<phutil>/scripts/daemon/exec/exec_daemon.php:111]
Daemon 1745 FAIL [Tue, 21 Oct 2014 08:02:42 +0000] (255) Process exited with error 255.
Daemon 1745 WAIT [Tue, 21 Oct 2014 08:02:42 +0000] Waiting to restart process.
Daemon 1745 INIT [Tue, 21 Oct 2014 08:02:47 +0000] Starting process.
Daemon 1745 STDE [Tue, 21 Oct 2014 08:07:45 +0000] [2014-10-21 08:07:45] EXCEPTION: (PhutilProxyException) Error while executing task ID 14660 from queue. {>} (AphrontQueryException) #1406: Data too long for column 'authorName' at row 1 at [<phutil>/src/aphront/storage/connection/mysql/AphrontBaseMySQLDatabaseConnection.php:308]
Daemon 1745 STDE [Tue, 21 Oct 2014 08:07:45 +0000]   #0 AphrontBaseMySQLDatabaseConnection::throwQueryCodeException(integer, string) called at [<phutil>/src/aphront/storage/connection/mysql/AphrontBaseMySQLDatabaseConnection.php:275]
Daemon 1745 STDE [Tue, 21 Oct 2014 08:07:45 +0000]   #1 AphrontBaseMySQLDatabaseConnection::throwQueryException(mysqli) called at [<phutil>/src/aphront/storage/connection/mysql/AphrontBaseMySQLDatabaseConnection.php:181]
Daemon 1745 STDE [Tue, 21 Oct 2014 08:07:45 +0000]   #2 AphrontBaseMySQLDatabaseConnection::executeRawQuery(string) called at [<phutil>/src/xsprintf/queryfx.php:6]
Daemon 1745 STDE [Tue, 21 Oct 2014 08:07:45 +0000]   #3 queryfAphrontMySQLiDatabaseConnection, string, string, string, string, string)
Daemon 1745 STDE [Tue, 21 Oct 2014 08:07:45 +0000]   #4 call_user_func_array(string, array) called at [<phutil>/src/aphront/storage/connection/AphrontDatabaseConnection.php:26]
Daemon 1745 STDE [Tue, 21 Oct 2014 08:07:45 +0000]   #5 AphrontDatabaseConnection::query(string, string, string, string, string) called at [<phabricator>/src/infrastructure/storage/lisk/LiskDAO.php:1112]
Daemon 1745 STDE [Tue, 21 Oct 2014 08:07:45 +0000]   #6 LiskDAO::update() called at [<phabricator>/src/infrastructure/storage/lisk/LiskDAO.php:1041]
Daemon 1745 STDE [Tue, 21 Oct 2014 08:07:45 +0000]   #7 LiskDAO::save() called at [<phabricator>/src/applications/repository/worker/commitmessageparser/PhabricatorRepositoryCommitMessageParserWorker.php:229]
Daemon 1745 STDE [Tue, 21 Oct 2014 08:07:45 +0000]   #8 PhabricatorRepositoryCommitMessageParserWorker::updateCommitData(DiffusionCommitRef) called at [<phabricator>/src/applications/repository/worker/commitmessageparser/PhabricatorRepositoryGitCommitMessageParserWorker.php:15]
Daemon 1745 STDE [Tue, 21 Oct 2014 08:07:45 +0000]   #9 PhabricatorRepositoryGitCommitMessageParserWorker:arseCommit(PhabricatorRepository, PhabricatorRepositoryCommit) called at [<phabricator>/src/applications/repository/worker/PhabricatorRepositoryCommitParserWorker.php:44]
Daemon 1745 STDE [Tue, 21 Oct 2014 08:07:45 +0000]   #10 PhabricatorRepositoryCommitParserWorker:oWork() called at [<phabricator>/src/infrastructure/daemon/workers/PhabricatorWorker.php:87]
Daemon 1745 STDE [Tue, 21 Oct 2014 08:07:45 +0000]   #11 PhabricatorWorker::executeTask() called at [<phabricator>/src/infrastructure/daemon/workers/storage/PhabricatorWorkerActiveTask.php:156]
Daemon 1745 STDE [Tue, 21 Oct 2014 08:07:45 +0000]   #12 PhabricatorWorkerActiveTask::executeTask() called at [<phabricator>/src/infrastructure/daemon/workers/PhabricatorTaskmasterDaemon.php:19]
Daemon 1745 STDE [Tue, 21 Oct 2014 08:07:45 +0000]   #13 PhabricatorTaskmasterDaemon::run() called at [<phutil>/src/daemon/PhutilDaemon.php:91]
Daemon 1745 STDE [Tue, 21 Oct 2014 08:07:45 +0000]   #14 PhutilDaemon::execute() called at [<phutil>/scripts/daemon/exec/exec_daemon.php:111]
Daemon 1745 FAIL [Tue, 21 Oct 2014 08:07:45 +0000] (255) Process exited with error 255.
Daemon 1745 WAIT [Tue, 21 Oct 2014 08:07:45 +0000] Waiting to restart process.
Daemon 1745 INIT [Tue, 21 Oct 2014 08:07:50 +0000] Starting process.
Daemon 1746 STDE [Tue, 21 Oct 2014 08:12:47 +0000] [2014-10-21 08:12:47] EXCEPTION: (PhutilProxyException) Error while executing task ID 14660 from queue. {>} (AphrontQueryException) #1406: Data too long for column 'authorName' at row 1 at [<phutil>/src/aphront/storage/connection/mysql/AphrontBaseMySQLDatabaseConnection.php:308]
Daemon 1746 STDE [Tue, 21 Oct 2014 08:12:47 +0000]   #0 AphrontBaseMySQLDatabaseConnection::throwQueryCodeException(integer, string) called at [<phutil>/src/aphront/storage/connection/mysql/AphrontBaseMySQLDatabaseConnection.php:275]
Daemon 1746 STDE [Tue, 21 Oct 2014 08:12:47 +0000]   #1 AphrontBaseMySQLDatabaseConnection::throwQueryException(mysqli) called at [<phutil>/src/aphront/storage/connection/mysql/AphrontBaseMySQLDatabaseConnection.php:181]
Daemon 1746 STDE [Tue, 21 Oct 2014 08:12:47 +0000]   #2 AphrontBaseMySQLDatabaseConnection::executeRawQuery(string) called at [<phutil>/src/xsprintf/queryfx.php:6]
Daemon 1746 STDE [Tue, 21 Oct 2014 08:12:47 +0000]   #3 queryfAphrontMySQLiDatabaseConnection, string, string, string, string, string)
Daemon 1746 STDE [Tue, 21 Oct 2014 08:12:47 +0000]   #4 call_user_func_array(string, array) called at [<phutil>/src/aphront/storage/connection/AphrontDatabaseConnection.php:26]
Daemon 1746 STDE [Tue, 21 Oct 2014 08:12:47 +0000]   #5 AphrontDatabaseConnection::query(string, string, string, string, string) called at [<phabricator>/src/infrastructure/storage/lisk/LiskDAO.php:1112]
Daemon 1746 STDE [Tue, 21 Oct 2014 08:12:47 +0000]   #6 LiskDAO::update() called at [<phabricator>/src/infrastructure/storage/lisk/LiskDAO.php:1041]
Daemon 1746 STDE [Tue, 21 Oct 2014 08:12:47 +0000]   #7 LiskDAO::save() called at [<phabricator>/src/applications/repository/worker/commitmessageparser/PhabricatorRepositoryCommitMessageParserWorker.php:229]
Daemon 1746 STDE [Tue, 21 Oct 2014 08:12:47 +0000]   #8 PhabricatorRepositoryCommitMessageParserWorker::updateCommitData(DiffusionCommitRef) called at [<phabricator>/src/applications/repository/worker/commitmessageparser/PhabricatorRepositoryGitCommitMessageParserWorker.php:15]
Daemon 1746 STDE [Tue, 21 Oct 2014 08:12:47 +0000]   #9 PhabricatorRepositoryGitCommitMessageParserWorker:arseCommit(PhabricatorRepository, PhabricatorRepositoryCommit) called at [<phabricator>/src/applications/repository/worker/PhabricatorRepositoryCommitParserWorker.php:44]
Daemon 1746 STDE [Tue, 21 Oct 2014 08:12:47 +0000]   #10 PhabricatorRepositoryCommitParserWorker:oWork() called at [<phabricator>/src/infrastructure/daemon/workers/PhabricatorWorker.php:87]
Daemon 1746 STDE [Tue, 21 Oct 2014 08:12:47 +0000]   #11 PhabricatorWorker::executeTask() called at [<phabricator>/src/infrastructure/daemon/workers/storage/PhabricatorWorkerActiveTask.php:156]
Daemon 1746 STDE [Tue, 21 Oct 2014 08:12:47 +0000]   #12 PhabricatorWorkerActiveTask::executeTask() called at [<phabricator>/src/infrastructure/daemon/workers/PhabricatorTaskmasterDaemon.php:19]
Daemon 1746 STDE [Tue, 21 Oct 2014 08:12:47 +0000]   #13 PhabricatorTaskmasterDaemon::run() called at [<phutil>/src/daemon/PhutilDaemon.php:91]
Daemon 1746 STDE [Tue, 21 Oct 2014 08:12:47 +0000]   #14 PhutilDaemon::execute() called at [<phutil>/scripts/daemon/exec/exec_daemon.php:111]
Daemon 1746 FAIL [Tue, 21 Oct 2014 08:12:47 +0000] (255) Process exited with error 255.

Edit: An issue with author names?

michaeloa added a comment.EditedOct 21 2014, 11:27 AM

Incidentally, I just imported another repository, which resulted in the feed receiving a bunch of commit messages and one of the other developers on that repository receiving a ton of e-mails (I received nothing, although I also have a few commits in that repository).

That's not the expected behavior, is it?

No continued feed spam, though, which is a relief.

Yeah, I think publishing feed stories and sending emails from importing repositories is badsauce. Patch in a moment.

avivey added a subscriber: avivey.Oct 23 2014, 9:09 PM

T6395 identified a new stack trace for empty commits.

D10800 will resolve the last known bits here. Will close when it lands.

Need a way to add tokens to comments. :)

In lieu of that - thanks for the quick fixes. Much appreciated.

btrahan closed this task as Resolved.Nov 7 2014, 10:38 PM

Alrighty folks - after your next upgrade this should be completely resolved.

If you encounter this issue again, please run

./bin/phd log

and let us know about any errors you see... Basically, with the error messages we have a great chance of fixing this quickly and without it we are stumped.

Thanks!